thunderbird (2:1snap1-0ubuntu3) noble; urgency=medium

  * debian/control:
    - Pre-Depends on snapd since the preinst script is using it
      (lp: #2056458)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 16:47:38 +0200

thunderbird (2:1snap1-0ubuntu2) noble; urgency=medium

  * debian/thunderbird.desktop, debian/thunderbird.install:
    - the snap is using a different name for its .desktop, which leads
      to the dock to delete the favorite entry when the old .desktop
      is removed from disk before the run of the migration script.
      We workaround the issue by creating a thunderbird.desktop still
      but using NoDisplay=true (similarly to what was done with firefox)
  * debian/thunderbird.maintscript:
    - clean leftover conffiles on upgrade

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 18 Apr 2024 12:01:36 +0200

thunderbird (2:1snap1-0ubuntu1) noble; urgency=medium

  * Increase the epoch number in the package version to ensure the
    package stays newer than the deb security updates in older series.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 11 Apr 2024 21:37:23 +0200

thunderbird (1:115.8.1+build1+snap3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:15:11 +0000

thunderbird (1:115.8.1+build1+snap2) noble; urgency=medium

  * debian/control:
    - add arm64 back to the architectures list now that the snap is
      building on it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Mar 2024 12:27:08 +0100

thunderbird (1:115.8.1+build1+snap1) noble; urgency=medium

  * Deprecate the thunderbird deb in favor of the snap for maintability
    reasons similar to firefox.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 01 Mar 2024 00:18:19 +0100

thunderbird (1:115.8.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 29 Feb 2024 08:26:21 +0100

thunderbird (1:115.8.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.8.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 17 Feb 2024 09:30:15 +0100

thunderbird (1:115.6.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 09 Jan 2024 08:51:34 +0100

thunderbird (1:115.6.0+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Dec 2023 16:32:09 +0100

thunderbird (1:115.6.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.6.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 14 Dec 2023 21:47:45 +0100

thunderbird (1:115.5.2+build2-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.2+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 12 Dec 2023 08:05:52 +0100

thunderbird (1:115.5.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 29 Nov 2023 14:16:00 +0100

thunderbird (1:115.5.0+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.5.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 21 Nov 2023 15:20:44 +0100

thunderbird (1:115.4.3+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 17 Nov 2023 12:26:19 +0100

thunderbird (1:115.4.1+build1-0ubuntu1) noble; urgency=medium

  * New upstream stable release (115.4.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 26 Oct 2023 09:00:28 +0200

thunderbird (1:115.3.1+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 29 Sep 2023 12:28:43 +0200

thunderbird (1:115.3.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.3.0+build2)
  * Update cbindgen to 0.26.0
    - debian/build/create-tarball.py

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 26 Sep 2023 20:48:49 +0200

thunderbird (1:115.2.3+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 21 Sep 2023 07:29:33 +0200

thunderbird (1:115.2.3+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.3+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 16 Sep 2023 14:09:12 +0200

thunderbird (1:115.2.0+build2-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (115.2.0+build2)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 28 Aug 2023 21:15:38 +0200

thunderbird (1:115.2.0+build1-0ubuntu1) mantic; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream stable release (115.2.0+build1)
  * Bump build-dep on nodejs(-mozilla) >= 12.22.12
    - debian/control{,.in}
  * Pass "export RUST_BACKTRACE=full" to cbindgen/dump_sys build
    - debian/build/rules.mk
  * Use clang 15 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Stop signing NSS libraries using shlibsign
    https://bugzilla.mozilla.org/show_bug.cgi?id=1620158
    https://bugzilla.mozilla.org/show_bug.cgi?id=1796504
    - debian/build/rules.mk
  * Update for upstream manifest changes
    https://bugzilla.mozilla.org/show_bug.cgi?id=1810734
    - debian/build/xpi-id.py
  * Bump build-dep to python >= 3.7
    - debian/control{,.in}
  * Install glxtest and vaapitest
    - debian/firefox.install.in
  * Bump build-dep on rustc >= 1.66.0 and cargo >= 0.67
    - debian/control{,.in}
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/armhf-rustc-thin-lto.patch
  * Update cbindgen to 0.24.5
    - debian/build/create-tarball.py
  * Make use of *.strings_all.tar.zst
    - debian/build/create-tarball.py

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Aug 2023 20:03:07 +0200

thunderbird (1:102.13.0+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (102.13.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Jul 2023 11:52:39 +0200

thunderbird (1:102.12.0+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (102.12.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Jun 2023 11:35:08 +0200

thunderbird (1:102.11.0+build1-0ubuntu1) mantic; urgency=medium

  * New upstream stable release (102.11.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 08 May 2023 11:15:30 +0200

thunderbird (1:102.10.0+build2-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.10.0+build2)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 11 Apr 2023 10:53:10 +0200

thunderbird (1:102.10.0+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.10.0+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Apr 2023 12:20:36 +0200

thunderbird (1:102.9.1+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.9.1+build1)
  * debian/thunderbird.maintscript: don't specify a version for the apport
    conffile move since older Ubuntu series get also updated
  * debian/control.in: update package repository reference as we moved from
    bzr to git

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Mar 2023 16:58:07 +0200

thunderbird (1:102.9.0+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.9.0+build1)

  [ Benjamin Drung ]
  * Rename /etc/apport/blacklist.d to /etc/apport/report-ignore for
    Apport >= 2.25.0

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Mar 2023 17:25:10 +0100

thunderbird (1:102.8.0+build2-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.8.0+build2)
  * debian/patches/python311_mode_ru.patch,
    debian/patches/python311_inline_regexp.patch:
    - removed, the issue is fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Feb 2023 13:01:07 +0100

thunderbird (1:102.7.2+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.7.2+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Feb 2023 15:39:23 +0100

thunderbird (1:102.7.1+build2-0ubuntu1) lunar; urgency=medium

  [Rico Tzschichholz]
  * New upstream stable release (102.7.1+build2)
  * Rework l10n tarballing, fix missing translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 01 Feb 2023 15:10:38 +0100

thunderbird (1:102.7.1+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.7.1+build1)

  [Rico Tzschichholz]
  * Drop usage of llvm-toolchain-11 which is not used anymore

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 24 Jan 2023 13:27:31 +0100

thunderbird (1:102.7.0+build1-0ubuntu2) lunar; urgency=medium

  * debian/build/Preprocessor.py:
    - really include the python 3.11 fix

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Jan 2023 13:27:09 +0100

thunderbird (1:102.7.0+build1-0ubuntu1) lunar; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream stable release (102.7.0+build1)
  * debian/build/create-tarball.py,
    debian/config/branch.mk:
    - updated for the l10n repository changes

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Jan 2023 10:45:08 +0100

thunderbird (1:102.6.1+build1-0ubuntu2) lunar; urgency=medium

  * debian/build/Preprocessor.py,
  * debian/patches/python311_mode_ru.patch:
    - don't use open mode 'rU' which is invalid in python 3.11
  * debian/patches/python311_inline_regexp.patch:
    - cherry pick another upstream fix for python 3.11

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Jan 2023 11:50:10 +0100

thunderbird (1:102.6.1+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.6.1+build1)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2023 12:32:13 +0100

thunderbird (1:102.6.0+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.6.0+build1)

  * Remove upstreamed patches:
    - debian/patches/fix-ftbfs-newer-cbindgen.patch
    - debian/patches/upstream-a61813bd9f0a.patch
    - debian/patches/upstream-970ebbe54477.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 09 Dec 2022 11:43:07 +0100

thunderbird (1:102.5.1+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.5.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 01 Dec 2022 17:28:31 +0100

thunderbird (1:102.5.0+build2-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.5.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 15 Nov 2022 21:35:53 +0100

thunderbird (1:102.5.0+build1-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.5.0+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Nov 2022 16:49:26 +0100

thunderbird (1:102.4.2+build2-0ubuntu1) lunar; urgency=medium

  * New upstream stable release (102.4.2+build2)

  * Update the Vcs-Bzr URL for Ubuntu 23.04 (the Lunar Lobster)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 04 Nov 2022 15:15:06 +0100

thunderbird (1:102.4.1+build1-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream stable release (102.4.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 25 Oct 2022 23:22:44 +0200

thunderbird (1:102.4.0+build1-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream stable release (102.4.0+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 17 Oct 2022 09:46:48 +0200

thunderbird (1:102.3.3+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.3.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 11 Oct 2022 18:05:23 +0200

thunderbird (1:102.3.2+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.3.2+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Oct 2022 08:14:02 +0200

thunderbird (1:102.3.1+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.3.1+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Sep 2022 22:12:03 +0200

thunderbird (1:102.3.1+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.3.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Sep 2022 11:18:14 +0200

thunderbird (1:102.3.0+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.3.0+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 16 Sep 2022 09:48:00 +0200

thunderbird (1:102.2.2+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.2.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 09 Sep 2022 13:06:40 +0200

thunderbird (1:102.2.1+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.2.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 01 Sep 2022 07:34:36 +0200

thunderbird (1:102.2.0+build3-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.2.0+build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 23 Aug 2022 07:47:25 +0200

thunderbird (1:102.2.0+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.2.0+build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Aug 2022 18:14:34 +0200

thunderbird (1:102.2.0+build1-0ubuntu2) kinetic; urgency=medium

  * Cherry-pick two upstream patches to fix FTBFS against glibc 2.36
    - debian/patches/upstream-970ebbe54477.patch
    - debian/patches/upstream-a61813bd9f0a.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 18 Aug 2022 08:11:02 +0200

thunderbird (1:102.2.0+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.2.0+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 17 Aug 2022 08:33:34 +0200

thunderbird (1:102.1.2+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.1.2+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 09 Aug 2022 10:33:27 +0200

thunderbird (1:102.1.1+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.1.1+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Aug 2022 07:37:29 +0000

thunderbird (1:102.1.0+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.1.0+build2)

  * Drop upstreamed patches
    - debian/patches/webrtc-armhf/D134738.diff
    - debian/patches/webrtc-armhf/D149203.diff
    - debian/patches/webrtc-armhf/D149204.diff
    - debian/patches/webrtc-armhf/D149205.diff
    - debian/patches/webrtc-armhf/D149206.diff
    - debian/patches/webrtc-armhf/D149207.diff
    - debian/patches/webrtc-armhf/D149208.diff
    - debian/patches/webrtc-armhf/D149209.diff
    - debian/patches/webrtc-armhf/D149210.diff
    - debian/patches/webrtc-armhf/D149471.diff
    - debian/patches/webrtc-armhf/D149474.diff
    - debian/patches/webrtc-armhf/D149814.diff
    - debian/patches/webrtc-armhf/D149850.diff

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 Jul 2022 16:31:19 +0200

thunderbird (1:102.0.3+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.0.3+build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 20 Jul 2022 20:20:52 +0200

thunderbird (1:102.0.1+build2-0ubuntu2) kinetic; urgency=medium

  * Do not pass --disable-elf-hack on riscv64, where the option isn't available
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 07 Jul 2022 15:29:36 +0200

thunderbird (1:102.0.1+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (102.0.1+build2)
    - debian/config/branch.mk
  * Use clang 14 if available
    - debian/control{,.in}
    - debian/build/rules.mk
  * Bump rustc (1.59.0) and cargo (0.60) build dependencies
    - debian/control{,.in}
  * Remove unused build dependencies (imagemagick, docbook-to-man)
    - debian/control{,.in}
  * Update cbindgen to 0.24.3
    - debian/build/create-tarball.py
  * Fix FTBFS with newer versions of cbindgen
    - debian/patches/fix-ftbfs-newer-cbindgen.patch
  * Replace the deprecated use of MACH_USE_SYSTEM_PYTHON=1 by
    MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none
    - debian/build/rules.mk
  * Explicitly set MOZBUILD_STATE_PATH
    - debian/build/rules.mk
  * Pass --without-wasm-sandboxed-libraries
    - debian/config/mozconfig.in
  * Reduce the LTO level (to "thin") on arm64 to work around OOM failures on
    Launchpad builders
    - debian/build/rules.mk
    - debian/patches/armhf-rustc-thin-lto.patch
  * Cherry-pick two sets of upstream patches to fix FTBFS on armhf
    - debian/patches/webrtc-armhf/D134738.diff
    - debian/patches/webrtc-armhf/D149203.diff
    - debian/patches/webrtc-armhf/D149204.diff
    - debian/patches/webrtc-armhf/D149205.diff
    - debian/patches/webrtc-armhf/D149206.diff
    - debian/patches/webrtc-armhf/D149207.diff
    - debian/patches/webrtc-armhf/D149208.diff
    - debian/patches/webrtc-armhf/D149209.diff
    - debian/patches/webrtc-armhf/D149210.diff
    - debian/patches/webrtc-armhf/D149471.diff
    - debian/patches/webrtc-armhf/D149474.diff
    - debian/patches/webrtc-armhf/D149814.diff
    - debian/patches/webrtc-armhf/D149850.diff
  * Update patches
    - debian/patches/armhf-reduce-linker-memory-use.patch
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch
  * Drop upstreamed patches
    - debian/patches/set-prgname-to-remoting-name.patch
  * Add es-MX language pack
    - debian/config/locales.shipped

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 Jul 2022 16:12:32 +0200

thunderbird (1:91.11.0+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (91.11.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 23 Jun 2022 07:48:13 +0200

thunderbird (1:91.10.0+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (91.10.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 30 May 2022 10:53:49 +0200

thunderbird (1:91.9.0+build3-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (91.9.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 03 May 2022 07:20:15 +0200

thunderbird (1:91.9.0+build2-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (91.9.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 02 May 2022 07:00:18 +0200

thunderbird (1:91.9.0+build1-0ubuntu1) kinetic; urgency=medium

  * New upstream stable release (91.9.0build1)

  * Update the Vcs-Bzr URL for Ubuntu 22.10 (the Kinetic Kudu)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 29 Apr 2022 13:46:02 +0200

thunderbird (1:91.8.1+build1-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream stable release (91.8.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 15 Apr 2022 09:22:07 +0200

thunderbird (1:91.8.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.8.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 02 Apr 2022 00:54:16 +0200

thunderbird (1:91.8.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.8.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 01 Apr 2022 06:58:00 +0200

thunderbird (1:91.7.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.7.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 07 Mar 2022 22:17:31 +0100

thunderbird (1:91.7.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.7.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 03 Mar 2022 14:36:02 +0100

thunderbird (1:91.6.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.6.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Feb 2022 20:35:29 +0100

thunderbird (1:91.6.0+build1-0ubuntu3) jammy; urgency=medium

  * Install thunderbird as a scheme handler for the mid (Message ID) protocol
    (LP: #1960614)
  * Install thunderbird as a handler for message/rfc822 (.eml) files
    (LP: #1861262)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Feb 2022 11:01:33 +0100

thunderbird (1:91.6.0+build1-0ubuntu2) jammy; urgency=medium

  * Install thunderbird as a scheme handler for the webcal protocol
    (LP: #1960421)
    - debian/thunderbird.desktop.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 11 Feb 2022 18:40:48 +0100

thunderbird (1:91.6.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.6.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 05 Feb 2022 20:30:18 +0100

thunderbird (1:91.5.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.5.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Jan 2022 08:21:28 +0100

thunderbird (1:91.5.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.5.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 10 Jan 2022 11:13:02 +0100

thunderbird (1:91.4.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.4.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 09 Dec 2021 12:33:48 +0100

thunderbird (1:91.4.0+build1.1-0ubuntu1) jammy; urgency=medium

  * Bump dump_sys to bf7f6bd855eb6ecb233b52bfa7b2c975b7026540 (LP: #1945770),
    fix courtesy of Rico Tzschichholz
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 02 Dec 2021 18:35:13 +0100

thunderbird (1:91.4.0+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.4.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 02 Dec 2021 16:38:28 +0100

thunderbird (1:91.3.2+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.3.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 19 Nov 2021 12:43:55 +0100

thunderbird (1:91.3.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.3.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 14 Nov 2021 11:16:22 +0100

thunderbird (1:91.3.0+build2-0ubuntu2) jammy; urgency=medium

  * Clean up obsolete gtk2-related exclusions
    - debian/build/rules.mk
  * Remove obsolete patch
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 14 Nov 2021 11:13:57 +0100

thunderbird (1:91.3.0+build2-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.3.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 02 Nov 2021 15:12:20 +0100

thunderbird (1:91.2.1+build1-0ubuntu1) jammy; urgency=medium

  * New upstream stable release (91.2.1build1)

  * Build with clang 13 where available, and drop clang 8
    - debian/build/rules.mk
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 21 Oct 2021 14:10:52 +0200

thunderbird (1:91.2.0+build1-0ubuntu2) jammy; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 22.04 (the Jammy Jellyfish)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 19 Oct 2021 10:56:41 +0200

thunderbird (1:91.2.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.2.0build1) (LP: #1946098)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 05 Oct 2021 14:23:40 +0200

thunderbird (1:91.1.2+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.1.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 30 Sep 2021 06:42:19 +0200

thunderbird (1:91.1.1+build2-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.1.1build2)

  * Fix non-fatal stracktrace in the apport hook (LP: #1943234)
    - debian/apport/source_thunderbird.py.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 21 Sep 2021 10:35:30 +0200

thunderbird (1:91.1.0+build2-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.1.0build2)

  * Remove obsolete patches
    - debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
    - debian/patches/upstream-glibc-2.34-build-fixes.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 06 Sep 2021 11:49:19 +0200

thunderbird (1:91.0.3+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.0.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 27 Aug 2021 09:11:36 +0200

thunderbird (1:91.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (91.0build1)
    - debian/config/branch.mk
  * Update the list of shipped locales (add Latvian)
    - debian/config/locales.{all,shipped}
  * Bump build dependency on rustc >= 1.51.0 and cargo >= 0.52
    - debian/control{,.in}
  * Bump build dependency on nodejs >= 10.23.1
    - debian/control{,.in}
  * Bump build dependency on nasm >= 2.14.02
    - debian/control{,.in}
  * Bump build dependency on python3 >= 3.6
    - debian/control{,.in}
  * Remove build dependency on libgtk2.0-dev
    - debian/control{,.in}
  * Vendor dump_syms in the source tarball
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Update excludes list for the source tarball creation
    - debian/config/tarball.conf
  * Add packaging ignore options
    - debian/source/options
  * Remove the obsolete messagingmenu extension
    - debian/messagingmenu
    - debian/rules
    - debian/thunderbird.install.in
  * Update the default value of the extensions.autoDisableScopes preference and
    build with --with-unsigned-addon-scopes=app to continue allowing
    side-loading system-wide extensions (langpacks)
    - debian/vendor.js
    - debian/config/mozconfig.in
  * Stop building icudt67b.dat on s390x
    - debian/build/rules.mk
    - debian/control{,.in}
  * Build with MACH_USE_SYSTEM_PYTHON=1
    - debian/build/rules.mk
  * Build with thin LTO on armhf to work around OOM failures on Launchpad
    builders
    - debian/build/rules.mk
    - debian/patches/armhf-rustc-thin-lto.patch
  * Unconditionally reduce rustc's debuginfo level to 1 to prevent OOM failures
    on Launchpad builders (this affects all architectures)
    - debian/patches/reduce-rust-debuginfo.patch
  * Remove a patch that's not needed any longer
    - debian/patches/reduce-rust-optlevel-on-ppc64el.patch
  * Cherry-pick a couple of upstream commits to fix build failure with
    glibc 2.34 (https://bugzilla.mozilla.org/1721326)
    - debian/patches/upstream-glibc-2.34-build-fixes.patch
  * Update patches
    - armhf-reduce-linker-memory-use.patch
    - rust-drop-dll-checksums.patch
    - support-coinstallable-trunk-build.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 16 Aug 2021 14:44:43 +0200

thunderbird (1:78.13.0+build1-0ubuntu2) impish; urgency=medium

  * Do not install the WeTransfer extension (which was removed upstream,
    see https://bugzilla.mozilla.org/1705109)
    - debian/thunderbird.install.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Aug 2021 15:08:49 +0200

thunderbird (1:78.13.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (78.13.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Aug 2021 09:59:25 +0200

thunderbird (1:78.12.0+build2-0ubuntu1) impish; urgency=medium

  * New upstream stable release (78.12.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Jul 2021 11:47:30 +0200

thunderbird (1:78.12.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (78.12.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 08 Jul 2021 14:49:06 +0200

thunderbird (1:78.11.0+build1-0ubuntu2) impish; urgency=medium

  * Reduce the rust optimization level on ppc64el to fix FTBFS (LP: #1923505)
    - debian/patches/reduce-rust-optlevel-on-ppc64el.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 01 Jun 2021 22:52:36 +0200

thunderbird (1:78.11.0+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (78.11.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 31 May 2021 14:10:06 +0200

thunderbird (1:78.10.2+build1-0ubuntu1) impish; urgency=medium

  * New upstream stable release (78.10.2build1)

  * Update the Vcs-Bzr URL for Ubuntu 21.10 (the Impish Indri)
    - update debian/control{,.in}
  * Hardening is enabled by default in Ubuntu, no need to request it explicitly
    - update debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 May 2021 22:31:21 +0200

thunderbird (1:78.10.0+build1-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream stable release (78.10.0build1)

  * Update cbindgen to 0.19.0
    - debian/build/create-tarball.py
  * Remove a patch that is now upstream
    - debian/patches/upstream-d241931.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 16 Apr 2021 14:25:40 +0200

thunderbird (1:78.9.0+build2-0ubuntu3) hirsute; urgency=medium

  * Cherry-pick an upstream commit to fix a build failure with clang 12
    - debian/patches/upstream-d241931.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Apr 2021 21:26:05 +0200

thunderbird (1:78.9.0+build2-0ubuntu2) hirsute; urgency=medium

  * Build with clang 12 where available (currently only hirsute)
    - debian/build/rules.mk
    - debian/control{,.in}
  * Enable native Wayland support (LP: #1916469)
    - debian/thunderbird.sh.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 30 Mar 2021 17:27:07 +0200

thunderbird (1:78.9.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.9.0build2)

  * Remove patches that are now upstream:
    - debian/patches/s390x-fix-hidden-symbol.patch
    - debian/patches/upstream-c3a853349f75.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 29 Mar 2021 17:45:57 +0200

thunderbird (1:78.8.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.8.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 09 Mar 2021 17:20:51 +0100

thunderbird (1:78.8.0+build1-0ubuntu2) hirsute; urgency=medium

  * Cherry-pick an upstream commit to fix building with the new glib (2.67.4)
    in hirsute (https://gitlab.gnome.org/GNOME/glib/-/issues/2331)
    - debian/patches/upstream-c3a853349f75.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 23 Feb 2021 19:32:16 +0100

thunderbird (1:78.8.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.8.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 20 Feb 2021 21:05:38 +0100

thunderbird (1:78.7.1+build1-0ubuntu3) hirsute; urgency=medium

  * Add versioned breaks on tinyjsd and jsunit to ensure they are removed when
    upgrading from focal (these packages were removed from the archive in
    groovy)
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 11 Feb 2021 15:36:19 +0100

thunderbird (1:78.7.1+build1-0ubuntu2) hirsute; urgency=medium

  * Add a versioned Breaks declaration on enigmail, for a smooth upgrade
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 10 Feb 2021 17:00:21 +0100

thunderbird (1:78.7.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.7.1build1)

  * Update cbindgen to 0.17.0
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Feb 2021 19:08:00 +0100

thunderbird (1:78.7.0+build2-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.7.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 Jan 2021 15:13:51 +0100

thunderbird (1:78.6.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.6.1build1)

  * Update cbindgen to 0.16.0

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Jan 2021 19:41:21 +0100

thunderbird (1:78.6.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.6.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 14 Dec 2020 10:18:33 +0100

thunderbird (1:78.5.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.5.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 01 Dec 2020 14:59:21 +0100

thunderbird (1:78.5.0+build3-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.5.0build3)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 18 Nov 2020 17:18:19 +0100

thunderbird (1:78.4.3+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.4.3build1)

  * Allow the use of external GPG keyrings by default
    - debian/vendor.js

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 12 Nov 2020 09:58:37 +0100

thunderbird (1:78.4.2+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.4.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 10 Nov 2020 09:52:51 +0100

thunderbird (1:78.4.1+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.4.1build1)

  * Remove the deprecated --enable-calendar configure option
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 05 Nov 2020 14:57:04 +0100

thunderbird (1:78.4.0+build1-0ubuntu1) hirsute; urgency=medium

  * New upstream stable release (78.4.0build1)

  * Update the Vcs-Bzr URL for Ubuntu 21.04 (the Hirsute Hippo)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Oct 2020 16:04:27 +0100

thunderbird (1:78.3.3+build1-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream stable release (78.3.3build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 21 Oct 2020 23:21:31 +0200

thunderbird (1:78.3.2+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.3.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 16:36:09 +0200

thunderbird (1:78.3.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.3.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 25 Sep 2020 16:43:40 +0200

thunderbird (1:78.3.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.3.0build1)
  * Remove patch applied upstream:
    - debian/patches/upstream-fix-ui-updater-disabled.patch
  * Drop armel arch references
    - debian/control{,.in}
    - debian/build/rules.mk
  * Use clang 11 if available and drop 9
    - debian/control{,.in}
    - debian/build/rules.mk
  * Make thunderbird suggest libotr5
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Sep 2020 15:54:16 +0200

thunderbird (1:78.2.2+build1-0ubuntu2) groovy; urgency=medium

  * Apply an upstream patch to fix the UI when building with the updater
    component disabled (LP: #1895898)
    - debian/patches/upstream-fix-ui-updater-disabled.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 17 Sep 2020 17:43:38 +0200

thunderbird (1:78.2.2+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.2.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 15 Sep 2020 11:51:49 +0200

thunderbird (1:78.2.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.2.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 30 Aug 2020 10:57:53 +0200

thunderbird (1:78.2.0+build1-0ubuntu2) groovy; urgency=medium

  * No-change rebuild for libffi transition

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 26 Aug 2020 08:17:36 +0200

thunderbird (1:78.2.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.2.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 24 Aug 2020 16:10:49 +0200

thunderbird (1:78.1.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (78.1.1build1) (LP: #1888157)
    - debian/config/branch.mk
  * Bump build dependency on rustc >= 1.41.0 and cargo >= 0.42
    - debian/control{,.in}
  * Bump build dependency on nodejs >= 10.21
    - debian/control{,.in}
  * Bump build dependency on nasm >= 2.14.02
    - debian/control{,.in}
  * Bump build dependency on debhelper >= 9
    - debian/compat
    - debian/control{,.in}
  * Remove build dependency on python2
    - debian/control{,.in}
  * Update cbindgen to 0.14.3
    - debian/build/create-tarball.py
  * Build required icudt67b.dat on s390x with /usr/sbin/icupkg
    - debian/build/rules.mk
    - debian/control{,.in}
  * Do not use system-wide sqlite3
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Work around clang hanging forever when trying to optimize the build of the
    embedded copy of sqlite3 (LP: #1878292)
    - debian/patches/s390x-workaround-sqlite3-clang-optimization-hang.patch
  * Remove obsolete config options
    - debian/config/mozconfig.in
  * Allow sideloading langpacks (LP: #1866059)
    - debian/config/mozconfig.in
  * Make xul-ext-lightning a transitional empty package, now that calendar
    functionality is part of the Thunderbird core
    - debian/build/rules.mk
    - debian/control{,.in}
    - debian/rules
  * Separately installed blocklist.xml was removed
    - debian/thunderbird.install.in
  * Install WeTransfer extension to the features directory
    - debian/thunderbird.install.in
  * Add the following locales: af, en-CA, fa, ja-JP-mac, pa-IN, th
    - update debian/config/locales.{all,shipped}
  * Remove upstreamed patch
    - debian/patches/nss_disable_fips_enabled_flag.patch
  * Update and rename patch to selectively reduce debug info level
    - debian/patches/reduce-rust-debuginfo-on-selected-architectures.patch
  * Refresh patches
    - debian/patches/rust-drop-dll-checksums.patch
    - debian/patches/support-coinstallable-trunk-build.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Aug 2020 07:38:43 +0200

thunderbird (1:68.10.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (68.10.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 01 Jul 2020 10:35:04 +0200

thunderbird (1:68.9.0+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (68.9.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 08 Jun 2020 16:39:36 +0200

thunderbird (1:68.8.1+build1-0ubuntu2) groovy; urgency=medium

  * Sync various packaging improvements from firefox
    - debian/build/rules.mk
    - debian/config/mozconfig.in
    - debian/control{,.in}
  * Clean up unused code paths in packaging rules
    - debian/rules
    - debian/build/config.mk
    - debian/build/rules.mk
    - debian/config/mozconfig.in
  * Port packaging to python3
    - debian/build/Expression.py
    - debian/build/Preprocessor.py
    - debian/build/create-tarball.py
    - debian/build/fix-mozinfo-appname.py
    - debian/build/keepalive-wrapper.py
    - debian/build/rules.mk
    - debian/build/xpi-id.py
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 27 May 2020 14:49:23 +0200

thunderbird (1:68.8.1+build1-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (68.8.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 26 May 2020 14:16:26 +0200

thunderbird (1:68.8.0+build2-0ubuntu2) groovy; urgency=medium

  [ Dariusz Gadomski ]
  * Disable reading /proc/sys/crypto/fips_enabled if FIPS is not enabled on
    build (LP: #1878155)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 13 May 2020 14:10:56 +0200

thunderbird (1:68.8.0+build2-0ubuntu1) groovy; urgency=medium

  * New upstream stable release (68.8.0build2)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 07 May 2020 20:19:38 +0200

thunderbird (1:68.7.0+build1-0ubuntu4) groovy; urgency=medium

  * Do not install an xpm icon
    - debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 29 Apr 2020 19:20:23 +0200

thunderbird (1:68.7.0+build1-0ubuntu3) groovy; urgency=medium

  * Update the Vcs-Bzr URL for Ubuntu 20.10 (the Groovy Gorilla)
    - update debian/control{,.in}
  * Replace unique icon symlink by copies of all available sizes to the hicolor
    theme to please the AppStream metadata generator (LP: #1639863)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 29 Apr 2020 15:41:09 +0200

thunderbird (1:68.7.0+build1-0ubuntu2) focal; urgency=medium

  * Fail early in the source tarball creation process if some required external
    dependencies are missing
    - debian/build/create-tarball.py
  * Remove debian/patches/unity-menubar.patch before the LTS release
    to minimize the maintenance effort

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 16 Apr 2020 16:57:01 +0200

thunderbird (1:68.7.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.7.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 08 Apr 2020 08:03:21 +0200

thunderbird (1:68.6.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.6.0build2) (LP: #1868543)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 23 Mar 2020 17:09:44 +0100

thunderbird (1:68.5.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.5.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 11 Feb 2020 08:08:11 +0100

thunderbird (1:68.4.2+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.4.2build2)

  * Use the upstream Build ID, to ensure it is the same across Ubuntu releases
    for a given thunderbird version (LP: #1851936)
    - debian/build/create-tarball.py
    - debian/build/rules.mk
    - debian/config/mozconfig.in

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 24 Jan 2020 15:05:19 +0100

thunderbird (1:68.4.1+build1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:46:24 +0000

thunderbird (1:68.4.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.4.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 10 Jan 2020 13:05:40 +0100

thunderbird (1:68.3.1+build1-0ubuntu2) focal; urgency=medium

  * Make the python2 dependency explicit, because the python symlink
    doesn't exist anymore in focal
    - debian/build/create-tarball.py
    - debian/build/fix-mozinfo-appname.py
    - debian/build/keepalive-wrapper.py
    - debian/build/rules.mk
    - debian/build/xpi-id.py
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 09 Jan 2020 22:16:49 +0100

thunderbird (1:68.3.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.3.1build1)

  * Fix creating the source tarball with recent versions of cargo
    - debian/build/create-tarball.py

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 09 Jan 2020 21:36:33 +0100

thunderbird (1:68.3.0+build2-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.3.0build2) (LP: #1856611)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 17 Dec 2019 18:04:50 +0100

thunderbird (1:68.2.2+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.2.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 08 Nov 2019 18:15:25 +0100

thunderbird (1:68.2.1+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.2.1build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 31 Oct 2019 15:58:44 +0100

thunderbird (1:68.2.0+build1.1-0ubuntu3) focal; urgency=medium

  * Change the build dependency from libclang1 to libclang-dev, this makes
    more sense in the context of targetting different LLVM toolchains
    - debian/control{,.in}
  * Fix the repacking of lightning with all locales (the artifact was renamed
    to lightning.xpi, see https://bugzilla.mozilla.org/show_bug.cgi?id=1588659)
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 29 Oct 2019 16:22:33 +0100

thunderbird (1:68.2.0+build1.1-0ubuntu2) focal; urgency=medium

  * Add an explicit build dependency on libclang1, because clang stopped
    depending on it (version 1:9.0.0-2 from debian unstable)
    - debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Oct 2019 22:18:13 +0100

thunderbird (1:68.2.0+build1.1-0ubuntu1) focal; urgency=medium

  * Export MOZ_SOURCE_REPO and MOZ_SOURCE_CHANGESET during the configure step
    as this is now mandatory for the build system to determine and expose the
    comm repository and revision used to generate the source tarball
    (see https://bugzilla.mozilla.org/show_bug.cgi?id=1507754)
    - debian/build/create-tarball.py
    - debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 28 Oct 2019 21:26:19 +0100

thunderbird (1:68.2.0+build1-0ubuntu1) focal; urgency=medium

  * New upstream stable release (68.2.0build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 25 Oct 2019 07:58:32 +0200

thunderbird (1:68.1.2+build1-0ubuntu2) focal; urgency=medium

  * Ensure that external dictionaries are still loaded (LP: #1847247)
    - debian/thunderbird.sh.in
  * Update the Vcs-Bzr URL for Ubuntu 20.04 (the Focal Fossa)
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 21 Oct 2019 15:22:34 +0200

thunderbird (1:68.1.2+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.2build1)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 10 Oct 2019 15:19:07 +0200

thunderbird (1:68.1.1+build1-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.1build1)

  * Build thunderbird against the system-wide version of sqlite3 (LP: #1845929)
    - update debian/config/mozconfig.in
    - update debian/control{,.in}

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 01 Oct 2019 14:47:00 +0200

thunderbird (1:68.1.0+build3-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.1.0build3)
    - Fixes a bug when programmatically composing a new message
      with an attachment (LP: #1844136)

  * Drop upstreamed patch: debian/patches/fix-webrtc-build-linux-52.patch
  * Refresh patch: debian/patches/unity-menubar.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 25 Sep 2019 11:05:08 +0200

thunderbird (1:68.0+build6-0ubuntu1) eoan; urgency=medium

  * New upstream stable release (68.0build6)

  * Vendor cbindgen and its dependencies in the source tarball, because it's
    not available in Debian/Ubuntu yet
    - update debian/build/create-tarball.py
    - update debian/build/rules.mk
    - update debian/config/mozconfig.in
    - update debian/config/tarball.conf
  * Bump build dependency on rustc >= 1.34.0 and cargo >= 0.35
    - update debian/control{,.in}
  * Add a build dependency on Node.js 8.11
    - update debian/control{,.in}
  * Add a build dependency on nasm 2.13.02
    - update debian/control{,.in}
  * Update exclusion patterns to remove outdated entries and to trim down the
    final size of the source tarball
    - update debian/config/tarball.conf
  * Do not install obsolete extension
    - update debian/thunderbird.install.in
  * Update patches
    - update debian/patches/reduce-rust-debuginfo-on-32bit-architectures.patch
    - update debian/patches/rust-drop-dll-checksums.patch
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Remove obsolete patches
    - remove debian/patches/dont-treat-tilde-as-special.patch
    - remove debian/patches/fix-missing-docs-error.patch
    - remove debian/patches/skia-big-endian.patch
  * Stop building and remove thunderbird-globalmenu (LP: #1834866)
  * Exclude XPI extensions from dh_strip_nondeterminism's scrunity
    (LP: #1840011)
    - update debian/build/rules.mk
  * Backport an upstream commit to fix WebRTC build failure with newer linux
    kernel
    - add debian/patches/fix-webrtc-build-linux-52.patch
  * Fix build on armhf by disabling unaligned FP accesses emulation
    - add debian/patches/armhf-disable-unaligned-fp-access-emulation.patch
  * Reduce the memory used by the linking process on armhf, to work around
    build failures on launchpad
    - add debian/patches/armhf-reduce-linker-memory-use.patch
  * Update shipped locales (adding cak, ka, uz)
    - update debian/config/locales.{all,shipped}
    - update debian/control
  * Build with clang
    - update debian/config/mozconfig.in
    - update debian/control{,.in}
    - add debian/patches/armhf-clang-no-integrated-as-for-neon.patch
    - add debian/patches/ppc64el-workaround-bug-1555531.patch
    - add debian/patches/s390x-fix-hidden-symbol.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sat, 14 Sep 2019 09:02:36 +0200

thunderbird (1:60.8.0+build1.1-0ubuntu3) eoan; urgency=medium

  * Really exclude XPI extensions from dh_strip_nondeterminism's scrunity
    (LP: #1840011)
    - update debian/rules
    - update debian/build/rules.mk

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Aug 2019 14:38:13 +0200

thunderbird (1:60.8.0+build1.1-0ubuntu2) eoan; urgency=medium

  * Exclude XPI extensions from dh_strip_nondeterminism's scrunity
    (LP: #1840011)
    - update debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Aug 2019 13:29:38 +0200

thunderbird (1:60.8.0+build1.1-0ubuntu1) eoan; urgency=medium

  * Do not attach Wi-Fi syslog to apport reports (LP: #1801383)
    - update debian/apport/source_thunderbird.py.in
  * Install the WeTransfer FileLink provider by default (LP: #1823361)
    - update debian/thunderbird.install.in
  * Do not exclude calendar translations from the source tarball, and repack
    the lightning xpi with all available locales (LP: #545778)
    - update debian/config/tarball.conf
    - update debian/build/rules.mk
    - update debian/rules

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Aug 2019 09:26:21 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog thunderbird`.
